({
    onModifyMove(move, target, source) {
      if (move.flags["contact"] && !source.volatiles["healblock"])
        source.addVolatile("healblock");
    },
    flags: {},
    name: "Water Spore",
    rating: 2
})